npm2deb(1)

NAME
npm2deb - debianize nodejs modules available via npm

SYNOPSIS
npm2deb [-D debug] { create | view | depends | rdepends | search | itp } node_module
npm2deb license {-l | license }

DESCRIPTION
A script to make faster and easier packaging nodejs modules already provided by npm.

Take care to have defined DEBEMAIL (or EMAIL) and DEBFULLNAME environment variables correctly.

OPTIONS

  optional arguments:

-h, --help
    show this help message and exit

-D DEBUG, --debug DEBUG
    set debug level

-v, --version
    show program's version number and exit

  commands:

create
    create the debian files

view
    a summary view of a node module

depends
    show module dependencies in npm and debian

rdepends
    show the reverse dependencies for module

search
    look for module in debian project

itp print a itp bug template

license
    print license template and exit

AUTHOR
Leo Iannacone <l3on@ubuntu.com>

COPYRIGHT
Copyright © 2014 Leo Iannacone
    http://leoiannacone.com

License GPLv3+: GNU GPL version 3 or later
   <http://gnu.org/licenses/gpl.html>.